unit Frmslect;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TfrmSelect = class(TForm)
    btnSelectContinue: TButton;
    cbxGroup: TCheckBox;
    cbxItems: TCheckBox;
    cbxDir: TCheckBox;
    cbxFiles: TCheckBox;
    btnSelectCancel: TButton;
    procedure btnSelectContinueClick(Sender: TObject);
    procedure btnSelectCancelClick(Sender: TObject);
    procedure cbxGroupClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSelect: TfrmSelect;

implementation

{$R *.DFM}

uses
  frmUnin, frmWelcm;

procedure TfrmSelect.btnSelectContinueClick(Sender: TObject);
var
  bDir, bFiles, bItems, bGroup: boolean;
begin
  if cbxDir.checked then bDir := true else bDir := false;
  if cbxFiles.checked then bFiles := true else bFiles := false;
  if cbxGroup.checked then bGroup := true else bGroup := false;
  if (cbxItems.checked or bGroup) then bItems := true else bItems := false;
  if not (bDir or bFiles or bItems or bGroup) then
  begin
    iError := MessageDlg('Nothing to remove, select what you want to remove',
      mtWarning, mbOkCancel, 0);
    if iError = mrCancel then frmUnInst.btnExitClick(Sender);
    frmWelcome.btnWelcomeContinueClick(Sender);
    exit;
  end;
  frmUnInst.UnInstall(bDir, bFiles, bItems, bGroup);
end;

procedure TfrmSelect.btnSelectCancelClick(Sender: TObject);
begin
  Halt;
end;

procedure TfrmSelect.cbxGroupClick(Sender: TObject);
begin
  if cbxGroup.checked then
    cbxItems.checked := true;
end;

end.
